# SPDX-License-Identifier: GPL-2.0-only
%YAML 1.2
---
$id: http://devicetree.org/schemas/clock/qcom,gcc-other.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm Global Clock & Reset Controller Binding

maintainers:
  - Stephen Boyd <sboyd@kernel.org>
  - Taniya Das <tdas@codeaurora.org>

description: |
  Qualcomm global clock control module which supports the clocks, resets and
  power domains.

  See also:
  - dt-bindings/clock/qcom,gcc-ipq4019.h
  - dt-bindings/clock/qcom,gcc-ipq6018.h
  - dt-bindings/reset/qcom,gcc-ipq6018.h
  - dt-bindings/clock/qcom,gcc-msm8953.h
  - dt-bindings/clock/qcom,gcc-msm8974.h (qcom,gcc-msm8226 and qcom,gcc-msm8974)
  - dt-bindings/reset/qcom,gcc-msm8974.h (qcom,gcc-msm8226 and qcom,gcc-msm8974)
  - dt-bindings/clock/qcom,gcc-mdm9607.h
  - dt-bindings/clock/qcom,gcc-mdm9615.h
  - dt-bindings/reset/qcom,gcc-mdm9615.h
  - dt-bindings/clock/qcom,gcc-sdm660.h  (qcom,gcc-sdm630 and qcom,gcc-sdm660)

allOf:
  - $ref: "qcom,gcc.yaml#"

properties:
  compatible:
    enum:
      - qcom,gcc-ipq4019
      - qcom,gcc-ipq6018
      - qcom,gcc-mdm9607
      - qcom,gcc-msm8226
      - qcom,gcc-msm8953
      - qcom,gcc-msm8974
      - qcom,gcc-msm8974pro
      - qcom,gcc-msm8974pro-ac
      - qcom,gcc-mdm9615
      - qcom,gcc-sdm630
      - qcom,gcc-sdm660

required:
  - compatible

unevaluatedProperties: false

examples:
  # Example for GCC for MSM8974:
  - |
    clock-controller@900000 {
      compatible = "qcom,gcc-msm8974";
      reg = <0x900000 0x4000>;
      #clock-cells = <1>;
      #reset-cells = <1>;
      #power-domain-cells = <1>;
    };
...
